summaryrefslogtreecommitdiffstats
path: root/source/l/libvisual
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libvisual')
-rwxr-xr-xsource/l/libvisual/libvisual.SlackBuild6
-rw-r--r--source/l/libvisual/libvisual.glib.h.diff11
2 files changed, 15 insertions, 2 deletions
diff --git a/source/l/libvisual/libvisual.SlackBuild b/source/l/libvisual/libvisual.SlackBuild
index c99d5461e..0d749cdfc 100755
--- a/source/l/libvisual/libvisual.SlackBuild
+++ b/source/l/libvisual/libvisual.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=libvisual
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -62,6 +62,8 @@ rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}-$VERSION
+zcat $CWD/libvisual.glib.h.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
diff --git a/source/l/libvisual/libvisual.glib.h.diff b/source/l/libvisual/libvisual.glib.h.diff
new file mode 100644
index 000000000..d0c738aac
--- /dev/null
+++ b/source/l/libvisual/libvisual.glib.h.diff
@@ -0,0 +1,11 @@
+--- ./libvisual/lv_thread.h.orig 2005-09-18 17:14:47.000000000 -0500
++++ ./libvisual/lv_thread.h 2012-07-17 23:05:48.818091848 -0500
+@@ -14,7 +14,7 @@
+ #ifdef VISUAL_THREAD_MODEL_POSIX
+ #include <pthread.h>
+ #elif defined(VISUAL_THREAD_MODEL_GTHREAD2) /* !VISUAL_THREAD_MODEL_POSIX */
+-#include <glib/gthread.h>
++#include <glib.h>
+ #else /* !VISUAL_THREAD_MODEL_GTHREAD2 */
+
+ #endif